Skip to main content
PUT
/
api
/
v0
/
ssh
/
{id}
/
update ssh key
curl --request PUT \
  --url https://console.vast.ai/api/v0/ssh/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ssh_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC3..."
}
'
import requests

url = "https://console.vast.ai/api/v0/ssh/{id}/"

payload = { "ssh_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC3..." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ssh_key: 'ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC3...'})
};

fetch('https://console.vast.ai/api/v0/ssh/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "key": {}
}
{
"success": false,
"error": "<string>",
"msg": "<string>"
}
{
"detail": "API requests too frequent endpoint threshold=1.0"
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

id
integer
required

ID of the SSH key to update

Body

application/json
ssh_key
string
required

The new value for the SSH key

Example:

"ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC3..."

Response

SSH key updated successfully

success
boolean
Example:

true

key
object

The updated SSH key data